import { color } from "d3-color";

export default {

    computed: {
        colorBy() {
            return (acid) =>
                this.selectionBoundaries.first?.index <= acid.index &&
                    acid.index <= this.selectionBoundaries.last?.index
                    ? this.protein.highlightColor
                    : this.protein.color;
        },
    }
}